# Uses of Class
org.apache.sysds.api.mlcontext.Metadata

Packages that use Metadata
Package
Description
org.apache.sysds.api.mlcontext

## Uses of Metadata in org.apache.sysds.api.mlcontext

Subclasses of Metadata in org.apache.sysds.api.mlcontext
Modifier and Type
Class
Description
`class`
`FrameMetadata`
Frame metadata, such as the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in the frame.
`class`
`MatrixMetadata`
Matrix metadata, such as the number of rows, the number of columns, the number of non-zero values, the number of rows per block, and the number of columns per block in the matrix.
Methods in org.apache.sysds.api.mlcontext that return types with arguments of type Metadata
Modifier and Type
Method
Description
`Map<String,Metadata>`
Script.`getInputMetadata()`
Obtain an unmodifiable map of input matrix/frame metadata.
Methods in org.apache.sysds.api.mlcontext with parameters of type Metadata
Modifier and Type
Method
Description
`static Data`
MLContextUtil.`convertInputType(String parameterName, Object parameterValue, Metadata metadata)`
Convert input types to internal SystemDS representations
`Script`
Script.`in(String name, Object value, Metadata metadata)`
Register an input (parameter ($) or variable) with optional matrix metadata.